### Method

# Meta BackgroundImageCache load

#### Declaration [src]

    MetaBackgroundImage*
    meta_background_image_cache_load (
      MetaBackgroundImageCache* cache,
      GFile* file
    )

#### Description [src]

Loads an image to use as a background, or returns a reference to an image that is already in the process of loading or loaded.

In either case, what is returned is a `MetaBackgroundImage` which can be dereferenced to get a `CoglTexture`. If `meta_background_image_is_loaded()` returns `TRUE`, the background is loaded, otherwise the `MetaBackgroundImage::loaded` signal will be emitted exactly once. The ‘loaded’ state means that the loading process finished, whether it succeeded or failed.

#### Parameters

`file`

  Type: `GFile`

  `GFile` to load.

  The data is owned by the caller of the method.

#### Return value

Type: `MetaBackgroundImage`

A `MetaBackgroundImage` to dereference to get the loaded texture.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.